uk.gov.hmrc.ct.computations.nir

# NorthernIrelandCalculations

###
Related Doc: package nir

#### trait NorthernIrelandCalculations extends HmrcValueApportioning

Linear Supertypes
HmrcValueApportioning, AccountingPeriodHelper, NumberRounding, CtTypeConverters, AnyRef, Any
Known Subclasses
B350, B355, B360, B400, B405, B410, CP997e
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NorthernIrelandCalculations
2. HmrcValueApportioning
3. AccountingPeriodHelper
4. NumberRounding
5. CtTypeConverters
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def accountingPeriodDaysInFinancialYear(year: Int, accountingPeriod: HmrcAccountingPeriod): BigDecimal

   Definition Classes
     AccountingPeriodHelper

5. #### def accountingPeriodSpansTwoFinancialYears(accountingPeriod: HmrcAccountingPeriod): Boolean

   Definition Classes
     AccountingPeriodHelper

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def calculateApportionedProfitsChargeableFy1(params: CorporationTaxCalculatorParameters): Int

   Definition Classes
     HmrcValueApportioning

8. #### def calculateApportionedProfitsChargeableFy2(params: CorporationTaxCalculatorParameters): Int

   Definition Classes
     HmrcValueApportioning

9. #### def calculateApportionedValueForYear(financialYear: Int, valueBeingApportioned: Int, accountingPeriod: HmrcAccountingPeriod): BigDecimal

   Definition Classes
     HmrcValueApportioning

10. #### def calculateApportionedValuesForAccountingPeriod(valueBeingApportioned: Int, accountingPeriod: HmrcAccountingPeriod): Map[TaxYear, Int]

    Definition Classes
      HmrcValueApportioning

11. #### def calculateNIApportionedNonTradingProfitsChargeableFy1(params: NINonTradingProfitCalculationParameters): Int

    Definition Classes
      HmrcValueApportioning

12. #### def calculateNIApportionedNonTradingProfitsChargeableFy2(params: NINonTradingProfitCalculationParameters): Int

    Definition Classes
      HmrcValueApportioning

13. #### def calculateNIApportionedTradingProfitsChargeableFy1(params: NITradingProfitCalculationParameters): Int

    Definition Classes
      HmrcValueApportioning

14. #### def calculateNIApportionedTradingProfitsChargeableFy2(params: NITradingProfitCalculationParameters): Int

    Definition Classes
      HmrcValueApportioning

15. #### def calculateTaxForTradingProfitForFirstFinancialYear(b350: B350, b355: B355): B360

16. #### def calculateTaxForTradingProfitForSecondFinancialYear(b400: B400, b405: B405): B410

17. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

19. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

20. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

21. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

22. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

23. #### def daysBetween(start: LocalDate, end: LocalDate): Int

    Definition Classes
      AccountingPeriodHelper

24. #### def daysInAccountingPeriod(accountingPeriod: HmrcAccountingPeriod): Int

    Definition Classes
      AccountingPeriodHelper

25. #### def endingFinancialYear(date: EndDate): Int

    Definition Classes
      AccountingPeriodHelper

26. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

28. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

29. #### def financialYearStartingIn(year: Int): (LocalDate, LocalDate)

    Definition Classes
      AccountingPeriodHelper

30. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

31. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

32. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

33. #### def nIRrateOfTaxFy1(start: StartDate): Option[BigDecimal]

34. #### def nIRrateOfTaxFy2(end: EndDate): Option[BigDecimal]

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### def nirOpt[A](computationsBoxRetriever: ComputationsBoxRetriever)(r: ⇒ A): Option[A]

37. #### final def notify(): Unit

    Definition Classes
      AnyRef

38. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

39. #### def revaluedNirLossesAgainstNonTradingProfit(ct600AnnualConstants: Ct600AnnualConstants)(cp997c: CP997c, hmrcAccountingPeriod: HmrcAccountingPeriod, cpq19: CPQ19): CP997e

40. #### def roundedToInt(value: BigDecimal): Int

    Definition Classes
      NumberRounding

41. #### def roundedToIntHalfDown(value: BigDecimal): Int

    Definition Classes
      NumberRounding

42. #### def roundedToIntHalfUp(value: BigDecimal): Int

    Definition Classes
      NumberRounding

43. #### def roundedTwoDecimalPlaces(value: BigDecimal): BigDecimal

    Definition Classes
      NumberRounding

44. #### def startingFinancialYear(date: StartDate): Int

    Definition Classes
      AccountingPeriodHelper

45. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

46. #### def toString(): String

    Definition Classes
      AnyRef → Any

47. #### def validateAccountingPeriod(accountingPeriod: HmrcAccountingPeriod): Unit

    Definition Classes
      AccountingPeriodHelper

48. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from HmrcValueApportioning

### Inherited from AccountingPeriodHelper

### Inherited from NumberRounding

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped